# app.py
from flask import Flask, render_template
import threading, time
import fetch_combined

app = Flask(__name__)  # static_folder='static', template_folder='templates' är default

@app.route("/")
def index():
    return render_template("wifi.html")

# --- bakgrunds‑tråd som uppdaterar datan varje minut (valfritt) ---
def _refresh_loop():
    while True:
        fetch_combined.update_data()
        time.sleep(60)         # hämta var 60:e sekund

if __name__ == "__main__":
    threading.Thread(target=_refresh_loop, daemon=True).start()
    app.run(host="0.0.0.0", port=5000, debug=False)
